/*
 * IRC - Internet Relay Chat, include/IPcheck.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef IPCHECK_H
#define IPCHECK_H

/*=============================================================================
 * Proto types
 */

extern int IPcheck_local_connect(aClient *cptr);
extern void IPcheck_connect_fail(aClient *cptr);
extern void IPcheck_connect_succeeded(aClient *cptr);
extern int IPcheck_remote_connect(aClient *cptr, const char *hostname,
    int is_burst);
extern void IPcheck_disconnect(aClient *cptr);
extern unsigned short IPcheck_nr(aClient *cptr);

int IPcheck_proxy_cache_get(aClient *cptr);
void IPcheck_proxy_cache_set(aClient *cptr, int result_check);

#endif /* IPCHECK_H */
