/*
 * RaptorIRCD - Internet Relay Chat Daemon, networks/AllIRC.h
 * Copyright (C) 2001
 *
 * See file doc/authors for additional names of
 * the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file contains the AllIRC.h specific settings.
*/

#ifndef NWSETTINGS

#define IRCNETWORK "AllIRC"
#define DOMAINNAME "allirc.net"
#undef  RELIABLE_CLOCK

#define CONNECT_MSGS
#define ALLOW_SNO_CONNEXIT
#define SNO_CONNEXIT_IP
#define HHSTRING "allirc"
#undef  PSTATS
#define PROXY_PROTECTION
#define SOCKS5
#define NEW_CONNECTSYS
#define CRYPT_LINK_PASSWORD
#define NICKNAMEHISTORYLENGTH (800)
#undef  HUB_NEEDS_H_LINE
#undef  USEONE
#define USE_SC_CS
#undef  USE_SC_HS
#undef  USE_SC_MS
#define USE_SC_NS
#define USE_SC_OS
#undef  USE_SC_SS
#define USE_SC_X2
#define USE_LOCAL_LINES
#define USE_REMOTE_LINES
#undef  USE_RULES
#define TOPICSYNC
#undef  LINKSSHOWSIPS
#define LINKSPNOPERONLY
#undef  DISABLE_CHAN_C

#define ChanServ "ChanServ"
#define ChanServ_SERVER "services.allirc.net"
#define HelpServ "HelpServ"
#define HelpServ_SERVER "services.allirc.net"
#define MemoServ "MemoServ"
#define MemoServ_SERVER "services.allirc.net"
#define NickServ "NickServ"
#define NickServ_SERVER "services.allirc.net"
#define OperServ "OperServ"
#define OperServ_SERVER "services.allirc.net"
#define StatServ "HelpServ"
#define StatServ_SERVER "services.allirc.net"
#define X2 "ChanServ"
#define X2_SERVER "services.allirc.net"

#define P9HOST1 "uworld.allirc.net"
#define P9NUMM1 18
#define P9HOST2 "x2.allirc.net"
#define P9NUMM2 19
#define P9HOST3 0
#define P9NUMM3 0
#define P9HOST4 0
#define P9NUMM4 0
#define P9HOST5 0
#define P9NUMM5 0

#define NICKLEN (30)
#define USERLEN (10)
#define HOSTLEN (63)
#define REALLEN (50)
#define PASSWDLEN (20)
#define KEYLEN (23)
#define TOPICLEN (160)
#define CHANNELLEN (200)
#define MAXBANS (30)
#define MAXBANLENGTH (512)

#define SHOW_INVISIBLE_USERS
#define SHOW_ALL_INVISIBLE_USERS
#define OPERS_SEE_IN_SECRET_CHANNELS
#define LOCOP_SEE_IN_SECRET_CHANNELS
#undef  UNLIMIT_OPER_QUERY

#define CONFIG_LIST
#define DEFAULT_LIST ">2"
#define DEFAULT_LIST_PARAM ">2"
#define IDLE_FROM_MSG
#undef  NEWMAPHANDLING
#undef  OLDMAPHANDLING

#undef  MSGLOG_ENABLED
#define MSGLOG_SIZE (128)
#define MAXCHANNELSPERUSER (15)
#define MAXSILES (15)
#define AVBANLEN (40)
#define MAXSILELENGTH (40 * MAXSILES)

#define WALLOPS_GOD_ENTER
#define WALLOPS_GOD_OP
#define WALLOPS_FAILED_OPER
#undef  WALLOPS_ON_OPER

#define MSG_WI_IRCOP    " IRC Operator"
#define MSG_WI_LOCAL    "Local "
#define MSG_WI_USERCOM  "is a IRCop Team member"
#define MSG_WI_EGGCOM   "is a Bot Team member"
#define MSG_WI_BSERVICE "is a Bot Team member"
#define MSG_WI_CSERVICE "is a Services Team member"
#define MSG_WI_CODER    "is a Coding Team member"
#define MSG_WI_HELPDESK "is a Help Team member"
#define MSG_WI_WEBCOM   "is a Coding Team member"
#define MSG_WI_RCENTRAL "NetAdmin Team member"
#define MSG_WI_BACKUPOP "Backup"
#define MSG_WI_COADMIN  "Server CoAdmin"
#define MSG_WI_ADMIN    "Server Admin"
#define MSG_WI_SBOT     "is a Services Bot"
#define MSG_WI_REGGED   "is a Registered Nick"
#define MSG_WI_PLUSG    "has God Mode (+g) Enabled!"
#define MSG_WI_BOT      "is a bot (eggdrop, BitchX, ...)"
#define MSG_WI_NOCTCP   "has disabled CTCP and DCC"
#define MSG_WI_NOPRIV   "has blocked PRIVMSGs (private queries)"
#define MSG_WI_NOCTPR	"has disabled CTCP, DCC and PRIVMSGs"
#define MSG_WI_WHOISY   "is doing a /WHOIS on you."

#define URL_PROXY		"http://www.allirc.net/policy/"
#define URL_CLIENTS	"http://www.allirc.net/downloads/"
#define URL_POLICY	"http://www.allirc.net/policy/"

#endif /* NWSETTINGS */
